=== debian/control ===
Source: ros-indigo-sainsmart-relay-usb
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), libftdi-dev, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/sainsmart_relay_usb
Standards-Version: 3.9.2

Package: ros-indigo-sainsmart-relay-usb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libftdi-dev, ros-indigo-roscpp, ros-indigo-std-msgs
Description: SainSmart USB relay driver controller
